Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Interface AppKey

    public interface AppKey

This interface can be overridded by security providers who wish to implement their own Appkey.

Field Summary
`static int` | `GIDMASK`
`static int` | `GIDSHIFT`
`static int` | `TPSYSADM_KEY`
`static int` | `TPSYSOP_KEY`
`static int` | `UIDMASK`

Method Summary
`UserRec` | `getTuxedoUserRecord(weblogic.security.acl.internal.AuthenticatedSubject subj)` This method returns an APPKEY
`void` | `init(String param, boolean anonAllowed, int defaultAppKey)` This method initializes the AppKey module.
`void` | `uninit()` This method releases any resources used by AppKey module.

Field Detail

### UIDMASK

    static final int UIDMASK

See Also:
  Constant Field Values

### GIDMASK

    static final int GIDMASK

See Also:
  Constant Field Values

### GIDSHIFT

    static final int GIDSHIFT

See Also:
  Constant Field Values

### TPSYSADM_KEY

    static final int TPSYSADM_KEY

See Also:
  Constant Field Values

### TPSYSOP_KEY

    static final int TPSYSOP_KEY

See Also:
  Constant Field Values

Method Detail

### init

    void init(String param,
              boolean anonAllowed,
              int defaultAppKey)
              throws TPException

  This method initializes the AppKey module.

  Parameters:
    `param` - A string that contains the initialization arguments for the class to use. It can be null. You may need to parse this information if necessary.
  Throws:
    `TPException`

### uninit

    void uninit()
                throws TPException

  This method releases any resources used by AppKey module.

  Throws:
    `TPException`

### getTuxedoUserRecord

    UserRec getTuxedoUserRecord(weblogic.security.acl.internal.AuthenticatedSubject subj)

  This method returns an APPKEY

  Parameters:
    `subj` - The authenticated user of the current execution thread.
  Returns:
    On success, a user record to be used for creating Tuxedo AAA token. Null indicates failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD